# Uses of Class
org.opensaml.xacml.ctx.provider.impl.ObligationProcessingException

Packages that use ObligationProcessingException
Package
Description
org.opensaml.xacml.ctx.provider.impl
Implementations of XACML functionality.

## Uses of ObligationProcessingException in org.opensaml.xacml.ctx.provider.impl

Methods in org.opensaml.xacml.ctx.provider.impl that throw ObligationProcessingException
Modifier and Type
Method
Description
`abstract void`
BaseObligationHandler.`evaluateObligation(ObligationProcessingContext context, ObligationType obligation)`
Evaluates the obligation represented by this handler.
`void`
ObligationService.`processObligations(ObligationProcessingContext context)`
Processes the obligations within the effective XACML policy.